Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 6.0sp2 API Reference

## weblogic.common
Interface DestroyMonitor

public interface DestroyMonitor
extends MonitorDef

Used to monitor modifications to a Destroyable object in the WebLogic Server. Implement methods in this interface create a monitor that can operate on a target object before or after a call to its destroy method takes place.

Author:
  Copyright (c) 1997-98 by WebLogic, Inc. All Rights Reserved., Copyright (c) 1999 by BEA WebXpress. All Rights Reserved.
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  `Destroyable`

Method Summary
`void` | `postDestroy(Destroyable target, ParamSet callbackData, java.lang.Exception e)` Called after the target object has been destroyed.
`void` | `preDestroy(Destroyable target, ParamSet callbackData)` Called prior to destroying the target object.

Methods inherited from interface weblogic.common.MonitorDef
`monitorInit, setServices`

Method Detail

### preDestroy

    public void preDestroy(Destroyable target,
                           ParamSet callbackData)
                    throws MonitorException

  Called prior to destroying the target object. Implement this method to perform a task on a Destroyable object before it is destroyed.

  Parameters:
    `target` - Object about to be destroyed
    `callbackData` - User-supplied callback data
  Throws:
    MonitorException - if the operation is blocked

### postDestroy

    public void postDestroy(Destroyable target,
                            ParamSet callbackData,
                            java.lang.Exception e)

  Called after the target object has been destroyed. Implement this method to perform a task after the destruction of a Destroyable object.

  The argument "e" passed to this method is an exception that occurred during the call to `preDestroy()`, or an exception from performing the operation itself. If this argument is null, then the `preDestroy` operation occurred; if it is non-null, the `preDestroy` operation did not occur.

  Parameters:
    `target` - Destroyable destroyed object
    `callbackData` - User-supplied callback data
    `e` - An exception that occurred during the preDestroy

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs60
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD